Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.asn1
Class ENUMERATED

    java.lang.Object
      |
      +--java.lang.Number
            |
            +--java.math.BigInteger
                  |
                  +--org.mozilla.jss.asn1.INTEGER
                        |
                        +--org.mozilla.jss.asn1.ENUMERATED

All Implemented Interfaces:
  ASN1Value, java.lang.Comparable, java.io.Serializable

public class ENUMERATED
extends INTEGER
implements ASN1Value

Represents an ASN.1 `ENUMERATED` value. This has the same interface as `INTEGER`

See Also:
  Serialized Form

Nested Class Summary
`static class` | `ENUMERATED.Template` A template for decoding ENUMERATED values from their BER encodings.

Nested classes inherited from class org.mozilla.jss.asn1.INTEGER
``

Field Summary
`static Tag` | `TAG`

Fields inherited from class org.mozilla.jss.asn1.INTEGER
`FORM`

Fields inherited from class java.math.BigInteger
`ONE, ZERO`

Constructor Summary
`(package private)` | `ENUMERATED(byte[] valBytes)`
`` | `ENUMERATED(long val)` Creates a new ENUMERATED value from a long.

Method Summary
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`long` | `getValue()` Returns the value as a long.

Methods inherited from class org.mozilla.jss.asn1.INTEGER
`encode, encode, encode, getContentLength, getTemplate, main`

Methods inherited from class java.math.BigInteger
`abs, add, and, andNot, bitCount, bitLength, clearBit, compareTo, compareTo, divide, divideAndRemainder, doubleValue, equals, flipBit, floatValue, gcd, getLowestSetBit, hashCode, intValue, isProbablePrime, longValue, max, min, mod, modInverse, modPow, multiply, negate, not, or, pow, probablePrime, remainder, setBit, shiftLeft, shiftRight, signum, subtract, testBit, toByteArray, toString, toString, valueOf, xor`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mozilla.jss.asn1.ASN1Value
`encode, encode`

Field Detail

### TAG

    public static final Tag TAG

Constructor Detail

### ENUMERATED

    public ENUMERATED(long val)

  Creates a new ENUMERATED value from a long.

### ENUMERATED

    ENUMERATED(byte[] valBytes)

Method Detail

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`
  Overrides:
    `getTag` in class `INTEGER`

### getValue

    public long getValue()

  Returns the value as a long.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD